schedule function k_hnc:timer 1s replace
schedule function k_hnc:effects/dmg_ot 5s replace

scoreboard objectives add rc-steps dummy
scoreboard objectives add k_hnc dummy
scoreboard objectives add campfire used:campfire
scoreboard objectives add campfire2 used:soul_campfire
scoreboard objectives add campfire3 used:furnace
scoreboard objectives add campfire4 used:blast_furnace
scoreboard objectives add k_hnc_drink used:potion
scoreboard objectives add k_hnc_tee dummy
scoreboard objectives add k_hnc_water dummy
scoreboard objectives add k_hnc_cd dummy
scoreboard objectives add k_hnc_drying dummy
scoreboard objectives add k_hnc_death deathCount
scoreboard objectives add k_hnc_voice1 dummy
scoreboard objectives add k_hnc_wetness dummy
scoreboard objectives add k_hnc_math dummy
scoreboard objectives add k_hnc_total_h dummy
scoreboard players set esdays k_hnc_total_h 4
scoreboard objectives add k_hnc_max_p dummy
scoreboard objectives add k_hnc_max_m dummy
scoreboard players set multi k_hnc_max_p 150

## torch run out
scoreboard objectives add k_hnc_torch dummy
## option trigger
scoreboard objectives add kdp_hnc_options trigger
## Variables
scoreboard objectives add k_hnc_vari dummy
execute unless score stromsounds k_hnc_vari matches 0.. run scoreboard players set stromsounds k_hnc_vari 0
## saesons varis 1
scoreboard objectives add k_hnc_seas_vari dummy
execute unless score day k_hnc_seas_vari matches 0.. run scoreboard players set day k_hnc_seas_vari 1
execute unless score dayinmonth k_hnc_seas_vari matches 0.. run scoreboard players set dayinmonth k_hnc_seas_vari 31
execute unless score month k_hnc_seas_vari matches 0.. run scoreboard players set month k_hnc_seas_vari 1
execute unless score monthinyear k_hnc_seas_vari matches 0.. run scoreboard players set monthinyear k_hnc_seas_vari 12
execute unless score year k_hnc_seas_vari matches 0.. run scoreboard players set year k_hnc_seas_vari 1
execute unless score daytest1 k_hnc_seas_vari matches 0.. run scoreboard players set daytest1 k_hnc_seas_vari 0
execute unless score daytest2 k_hnc_seas_vari matches 0.. run scoreboard players set daytest2 k_hnc_seas_vari 0
execute unless score startmonth k_hnc_seas_vari matches 0.. run scoreboard players set startmonth k_hnc_seas_vari 3

## saesons varis 2
scoreboard objectives add k_hnc_seas_vari2 dummy
execute unless score seas_temps1 k_hnc_seas_vari2 matches -100.. run scoreboard players set seas_temps1 k_hnc_seas_vari2 0
execute unless score seas_temps2 k_hnc_seas_vari2 matches -100.. run scoreboard players set seas_temps2 k_hnc_seas_vari2 0
execute unless score seas_weather_on_ch k_hnc_seas_vari2 matches 0.. run scoreboard players set seas_weather_on_ch k_hnc_seas_vari2 0
execute unless score seas_weather_off_ch k_hnc_seas_vari2 matches 0.. run scoreboard players set seas_weather_off_ch k_hnc_seas_vari2 0
execute unless score seas_weather_thun k_hnc_seas_vari2 matches 0.. run scoreboard players set seas_weather_thun k_hnc_seas_vari2 0
execute unless score daytime_ticks k_hnc_seas_vari2 matches 0.. run scoreboard players set daytime_ticks k_hnc_seas_vari2 20
execute unless score nighttime_ticks k_hnc_seas_vari2 matches 0.. run scoreboard players set nighttime_ticks k_hnc_seas_vari2 20

## recalc month at the start
schedule function k_hnc:seasons/daycheck/recalcdays 1s

## tempsystem varis
#scoreboard objectives add k_hnc_tempsys_vari dummy
execute unless score cold k_hnc matches -1000.. run scoreboard players set cold k_hnc -14
execute unless score warm k_hnc matches -1000.. run scoreboard players set warm k_hnc 4
execute unless score nether k_hnc matches -1000.. run scoreboard players set nether k_hnc 2
execute unless score is_raining k_hnc matches -1000.. run scoreboard players set is_raining k_hnc -2
execute unless score inside k_hnc matches -1000.. run scoreboard players set inside k_hnc 2

## color
scoreboard players display name base_pls k_hnc {"text": "base_pls","color": "yellow"}
scoreboard players display name base_minus k_hnc {"text": "base_minus","color": "yellow"}
scoreboard players display name cold k_hnc {"text": "cold","color": "yellow"}
scoreboard players display name warm k_hnc {"text": "warm","color": "yellow"}
scoreboard players display name nether k_hnc {"text": "nether","color": "yellow"}
scoreboard players display name is_raining k_hnc {"text": "is_raining","color": "yellow"}
scoreboard players display name inside k_hnc {"text": "inside","color": "yellow"}

## set default Options

execute unless score custom_daytime kdp_hnc_options matches 0.. run scoreboard players set custom_daytime kdp_hnc_options 1
execute unless score custom_weather kdp_hnc_options matches 0.. run scoreboard players set custom_weather kdp_hnc_options 1

execute if score custom_daytime kdp_hnc_options matches 1 run gamerule doDaylightCycle false
execute if score custom_weather kdp_hnc_options matches 1 run gamerule doWeatherCycle false
execute if score custom_daytime kdp_hnc_options matches 0 run gamerule doDaylightCycle true
execute if score custom_weather kdp_hnc_options matches 0 run gamerule doWeatherCycle true

execute unless score ann_day kdp_hnc_options matches 0.. run scoreboard players set ann_day kdp_hnc_options 1
execute unless score heavy_storms kdp_hnc_options matches 0.. run scoreboard players set heavy_storms kdp_hnc_options 1

# troches run out
execute unless score khnc-o_torch kdp_hnc_options matches 0.. run scoreboard players set khnc-o_torch kdp_hnc_options 0
# player voice
execute unless score khnc-o_pvoice kdp_hnc_options matches 0.. run scoreboard players set khnc-o_pvoice kdp_hnc_options 1
# set negitive armor effects.
execute unless score khnc-o_nae kdp_hnc_options matches 0.. run scoreboard players set khnc-o_nae kdp_hnc_options 1
# Nether option.
execute unless score khnc-o_nether kdp_hnc_options matches 0.. run scoreboard players set khnc-o_nether kdp_hnc_options 1
# Tempsystem.
execute unless score khnc_o_Tempsys kdp_hnc_options matches 0.. run scoreboard players set khnc_o_Tempsys kdp_hnc_options 1
# wetsystem.
execute unless score khnc_o_wetsys kdp_hnc_options matches 0.. run scoreboard players set khnc_o_wetsys kdp_hnc_options 1
# damage at max
execute unless score khnc_o_maxefda kdp_hnc_options matches 0.. run scoreboard players set khnc_o_maxefda kdp_hnc_options 1

# set Normal Temp.
scoreboard players set n-temp k_hnc_math 3700

## ---- set variables -----
# Normals for cold biomes 1 - slow down if negative - cold,cold1
# Noramls for cold biomes 2 - fast down if positive - cold,cold1
# 




## exsample for how to test and make it as variables
#execute if score @s xxx = xxx variables 

## ----------------

tellraw @a {"text": "Heat&Cold is active [1.21.2+3 | 2.0b2]","color": "#32bf80"}