## clear upper chat
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}
tellraw @s {"text": ""}

tellraw @s {"text": "---------------------","bold": true}

## Title of the options.
tellraw @s {"text": "Heat&Cold Seasons Settings","color": "#44aaaa"}
tellraw @p ["",{"text": "[◀ Back ]","bold": true,"color": "yellow","clickEvent": {"action": "run_command","value": "/function k_hnc:options/menu"}},{"text":"[Reset page]","bold":true,"color":"gold","clickEvent":{"action":"run_command","value":"/trigger kdp_hnc_options add 2998"}}]


tellraw @s {"text": "---------------------","bold": true}

## ----- datapack options ----- [✖][✔]

## custom_daytime
execute if score custom_daytime kdp_hnc_options matches 1 run tellraw @s ["",{"text": "[✔]","bold": true,"color": "green","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2011"}},{"text": " - Seasonal Daylength","bold": true,"hoverEvent": {"action": "show_text","contents": ["",{"text": "Each month has different length of a day. Summer has longer daytime and shorter nighttime for example."},{"text": "\n\nNOTE!","color": "red"},{"text": "\nThis is leads to changes in sleep behavior and that the sky is not smooth anymore and is more like 'ticking'."}]}}]
execute if score custom_daytime kdp_hnc_options matches 0 run tellraw @s ["",{"text": "[✖]","bold": true,"color": "red","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2010"}},{"text": " - Seasonal Daylength","bold": true,"hoverEvent": {"action": "show_text","contents": ["",{"text": "Each month has different length of a day. Summer has longer daytime and shorter nighttime for example."},{"text": "\n\nNOTE!","color": "red"},{"text": "\nThis is leads to changes in sleep behavior and that the sky is not smooth anymore and is more like 'ticking'."}]}}]

## announce day
execute if score ann_day kdp_hnc_options matches 1 run tellraw @s ["",{"text": "[✔]","bold": true,"color": "green","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2061"}},{"text": " - Announce day","bold": true,"hoverEvent": {"action": "show_text","contents": "Announces to the players what day, month and year it is every morning and if they hold a clock in their hand."}}]
execute if score ann_day kdp_hnc_options matches 0 run tellraw @s ["",{"text": "[✖]","bold": true,"color": "red","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2060"}},{"text": " - Announce day","bold": true,"hoverEvent": {"action": "show_text","contents": "Announces to the players what day, month and year it is every morning and if they hold a clock in their hand."}}]

## custom_weather
execute if score custom_weather kdp_hnc_options matches 1 run tellraw @s ["",{"text": "[✔]","bold": true,"color": "green","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2021"}},{"text": " - Seasonal Weather","bold": true}]
execute if score custom_weather kdp_hnc_options matches 0 run tellraw @s ["",{"text": "[✖]","bold": true,"color": "red","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2020"}},{"text": " - Seasonal Weather","bold": true}]

## heavy storms
execute if score heavy_storms kdp_hnc_options matches 1 run tellraw @s ["",{"text": " ↳[✔]","bold": true,"color": "green","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2051"}},{"text": " - Heavy Storms","bold": true}]
execute if score heavy_storms kdp_hnc_options matches 0 run tellraw @s ["",{"text": " ↳[✖]","bold": true,"color": "red","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2050"}},{"text": " - Heavy Storms","bold": true}]
tellraw @s {"text": ""}



$tellraw @s ["",{"text": "[?]","color": "dark_purple","bold": true,"hoverEvent": {"action": "show_text","contents": "If the world has already a high daycount, changing this value can cause a short lag spike in TPS."}},{"text": "[R] ","color": "yellow","bold": true,"clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2033"},"hoverEvent": {"action": "show_text","contents": "Resets month length to 31 again."}},{"text": "Month length:","bold": true},{"text": " [-] ","bold": true,"clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2031"}},{"text": "$(dayinmonth)","underlined": true,"bold": true,"color":"yellow"},{"text": " [+] ","bold": true,"clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2032"}}]

$tellraw @s ["",{"text": "[?]","color": "dark_purple","bold": true,"hoverEvent": {"action": "show_text","contents": "If the world has already a high daycount, changing this value can cause a short lag spike in TPS."}},{"text": "[R] ","color": "yellow","bold": true,"clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2043"},"hoverEvent": {"action": "show_text","contents": "Resets start month to 3 again."}},{"text": "Start month:","bold": true},{"text": " [-] ","bold": true,"clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2041"}},{"text": "$(startmonth)","underlined": true,"bold": true,"color":"yellow"},{"text": " [+] ","bold": true,"clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2042"}}]

tellraw @s {"text": "---------------------","bold": true}

tellraw @s ["",{"text": "[Reset world days]","color": "red","clickEvent": {"action": "run_command","value": "/time set 0"},"hoverEvent": {"action": "show_text","contents": ["",{"text": "WARNING!","color": "red"},{"text":"\nresetting this will set the worlds time to 0 again."}]}}]
tellraw @s ["",{"text": "[Recover world days]","color": "red","clickEvent": {"action": "run_command","value": "/trigger kdp_hnc_options add 2899"},"hoverEvent": {"action": "show_text","contents": ["",{"text": "WARNING!","color": "red"},{"text":"\nUsing this will set the game days to the original days again.\nIf you used 'reset world days' before and playered for a while you can recover the old world days but it can mess up your current season by skipping month."}]}}]



data remove storage minecraft:khnc_seas_setting input