## uninstall
execute if score @s kdp_hnc_options matches 1999 run function k_hnc:uninstall
## reset all default
execute if score @s kdp_hnc_options matches 1998 run scoreboard players set khnc-o_torch kdp_hnc_options 0
execute if score @s kdp_hnc_options matches 1998 run scoreboard players set khnc-o_pvoice kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 1998 run scoreboard players set khnc-o_nae kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 1998 run scoreboard players set khnc-o_nether kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 1998 run scoreboard players set khnc_o_Tempsys kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 1998 run scoreboard players set khnc_o_wetsys kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 1998 run scoreboard players set khnc_o_maxefda kdp_hnc_options 1

## ----- datapack options -----

# torch
execute if score @s kdp_hnc_options matches 11 run scoreboard players set khnc-o_torch kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 10 run scoreboard players set khnc-o_torch kdp_hnc_options 0

# Player voice
execute if score @s kdp_hnc_options matches 21 run scoreboard players set khnc-o_pvoice kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 20 run scoreboard players set khnc-o_pvoice kdp_hnc_options 0

# negative armor effects
execute if score @s kdp_hnc_options matches 31 run scoreboard players set khnc-o_nae kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 30 run scoreboard players set khnc-o_nae kdp_hnc_options 0

# nether
execute if score @s kdp_hnc_options matches 41 run scoreboard players set khnc-o_nether kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 40 run scoreboard players set khnc-o_nether kdp_hnc_options 0

# tempsys
execute if score @s kdp_hnc_options matches 51 run scoreboard players set khnc_o_Tempsys kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 50 run scoreboard players set khnc_o_Tempsys kdp_hnc_options 0

# wettsys
execute if score @s kdp_hnc_options matches 61 run scoreboard players set khnc_o_wetsys kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 60 run scoreboard players set khnc_o_wetsys kdp_hnc_options 0

# wettsys
execute if score @s kdp_hnc_options matches 71 run scoreboard players set khnc_o_maxefda kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 70 run scoreboard players set khnc_o_maxefda kdp_hnc_options 0

## --- seasons ---

execute if score @s kdp_hnc_options matches 2998 run scoreboard players set custom_daytime kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 2998 run gamerule doDaylightCycle false
execute if score @s kdp_hnc_options matches 2998 run scoreboard players set custom_weather kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 2998 run gamerule doWeatherCycle false
execute if score @s kdp_hnc_options matches 2998 run scoreboard players set dayinmonth k_hnc_seas_vari 31
execute if score @s kdp_hnc_options matches 2998 run scoreboard players set startmonth k_hnc_seas_vari 3
execute if score @s kdp_hnc_options matches 2998 run scoreboard players set heavy_storms kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 2998 run scoreboard players set ann_day kdp_hnc_options 1

#custom daytime
execute if score @s kdp_hnc_options matches 2010 run scoreboard players set custom_daytime kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 2010 run gamerule doDaylightCycle false
execute if score @s kdp_hnc_options matches 2011 run scoreboard players set custom_daytime kdp_hnc_options 0
execute if score @s kdp_hnc_options matches 2011 run gamerule doDaylightCycle true

# custom weather
execute if score @s kdp_hnc_options matches 2020 run scoreboard players set custom_weather kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 2020 run gamerule doWeatherCycle false
execute if score @s kdp_hnc_options matches 2021 run scoreboard players set custom_weather kdp_hnc_options 0
execute if score @s kdp_hnc_options matches 2021 run gamerule doWeatherCycle true

# heavy storms
execute if score @s kdp_hnc_options matches 2021 run scoreboard players set heavy_storms kdp_hnc_options 0
execute if score @s kdp_hnc_options matches 2050 run scoreboard players set heavy_storms kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 2051 run scoreboard players set heavy_storms kdp_hnc_options 0
execute if score @s kdp_hnc_options matches 2050 run scoreboard players set custom_weather kdp_hnc_options 1

# announce day
execute if score @s kdp_hnc_options matches 2060 run scoreboard players set ann_day kdp_hnc_options 1
execute if score @s kdp_hnc_options matches 2061 run scoreboard players set ann_day kdp_hnc_options 0

# change month length
execute if score @s kdp_hnc_options matches 2031 if score dayinmonth k_hnc_seas_vari matches 2.. run scoreboard players remove dayinmonth k_hnc_seas_vari 1
execute if score @s kdp_hnc_options matches 2032 run scoreboard players add dayinmonth k_hnc_seas_vari 1
execute if score @s kdp_hnc_options matches 2033 run scoreboard players set dayinmonth k_hnc_seas_vari 31

# start month
execute if score @s kdp_hnc_options matches 2041 if score startmonth k_hnc_seas_vari matches 2.. run scoreboard players remove startmonth k_hnc_seas_vari 1
execute if score @s kdp_hnc_options matches 2042 if score startmonth k_hnc_seas_vari matches ..11 run scoreboard players add startmonth k_hnc_seas_vari 1
execute if score @s kdp_hnc_options matches 2043 run scoreboard players set startmonth k_hnc_seas_vari 3

# recover world days
execute if score @s kdp_hnc_options matches 2899 run function k_hnc:options/seasons/recover/1

# recalc date
execute if score @s kdp_hnc_options matches 2031..2043 run scoreboard players reset daytest2 k_hnc_seas_vari
execute if score @s kdp_hnc_options matches 2998 run scoreboard players reset daytest2 k_hnc_seas_vari

## --- menus ---

## normal
execute if score @s kdp_hnc_options matches ..1999 as @s run function k_hnc:options/menu
## Seasons
execute if score @s kdp_hnc_options matches 2000..3000 as @s run function k_hnc:options/seasons/setting1

## reset options and repost menu
scoreboard players reset @s kdp_hnc_options
scoreboard players enable @s kdp_hnc_options