schedule function k_hnc:timer 1s replace
function k_hnc:fireplace/func/ticker
function k_hnc:effects/effects

## ----------- Seasons --------------
#add day
execute store result score daytest1 k_hnc_seas_vari run time query day
execute unless score daytest1 k_hnc_seas_vari = daytest2 k_hnc_seas_vari run function k_hnc:seasons/daycheck/addday
# (fix) if days are to high, run function again.
execute if score day k_hnc_seas_vari > dayinmonth k_hnc_seas_vari run function k_hnc:seasons/daycheck/addday
## -- custom daylength --
execute if score custom_daytime kdp_hnc_options matches 1 run function k_hnc:seasons/daytick/dayticking1
## -- custom weather --
execute if score custom_weather kdp_hnc_options matches 1 run function k_hnc:seasons/daytick/weatherreroll
## storm
execute if score heavystorm_on k_hnc_seas_vari2 matches 1 if score stromsounds k_hnc_vari matches 0 run schedule function k_hnc:seasons/daytick/weather/stormsounds 1s replace
execute if score heavystorm_on k_hnc_seas_vari2 matches 1 if score stromsounds k_hnc_vari matches 0 run scoreboard players set stromsounds k_hnc_vari 1
## show day if clock in hand
execute as @a[nbt={SelectedItem:{id:"minecraft:clock"}}] if score ann_day kdp_hnc_options matches 1 run function k_hnc:seasons/daycheck/annoncetoplayers1

## ----------- Add player to needed scoreboards --------------
execute as @a unless entity @s[scores={k_hnc_cd=0..}] run function k_hnc:book/give_book-new
execute as @a unless entity @s[scores={k_hnc_cd=0..}] run scoreboard players set @s k_hnc_cd 0
execute as @a unless entity @s[scores={k_hnc=0..}] unless entity @s[scores={k_hnc=..0}] run scoreboard players set @s k_hnc 0
execute as @a unless entity @s[scores={k_hnc_voice1=0..}] unless entity @s[scores={k_hnc_voice1=..0}] run scoreboard players set @s k_hnc_voice1 0

## -------------- Death --------------

execute as @a[scores={k_hnc_death=1..}] run function k_hnc:effects/death

## -------------- Heat & Cold ---------------

## book
execute as @a if entity @s[nbt={SelectedItem:{components:{"minecraft:written_book_content":{author:"Heat&Cold"}}}}] run function k_hnc:book/give_book1

## --------------- Wetness --------------
execute if score khnc_o_wetsys kdp_hnc_options matches 1 run function k_hnc:wetness/ticker
execute if score khnc_o_wetsys kdp_hnc_options matches 0 as @a unless score @s k_hnc_wetness matches 0 run scoreboard players set @s k_hnc_wetness 0

## --------------- Tempsystem ---------------
execute if score khnc_o_Tempsys kdp_hnc_options matches 1 run function k_hnc:tempsystem/temp1
execute if score khnc_o_Tempsys kdp_hnc_options matches 0 as @a unless score @s k_hnc matches 0 run scoreboard players set @s k_hnc 0

## --------------- Create tee ---------------
execute as @e[type=item,nbt={Item:{id:"minecraft:potion",count:1,components:{"minecraft:potion_contents":{potion:"minecraft:water"}}}},limit=1] at @s if entity @e[tag=campfire,distance=..3,sort=nearest,limit=1] if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:sweet_berries",count:5}}] run function k_hnc:items/create_tee

## tick down the cooldown
execute as @a[scores={k_hnc_cd=1..}] run scoreboard players remove @s k_hnc_cd 1

## --------------- drying_rack ---------------

##use drying rack
execute as @e[type=interaction,tag=drying_rack,nbt={interaction:{}}] at @s unless entity @e[distance=..2,sort=nearest,tag=dry_leather] unless entity @e[distance=..2,sort=nearest,tag=drying] run function k_hnc:drying_rack/userack1

## destroy
execute as @e[type=interaction,tag=drying_rack,nbt={attack:{}}] at @s unless entity @e[distance=..2,sort=nearest,tag=dry_leather] unless entity @e[distance=..2,sort=nearest,tag=drying] run function k_hnc:drying_rack/killrack
execute as @e[type=interaction,tag=drying_rack,nbt={attack:{}}] at @s if entity @e[distance=..2,sort=nearest,tag=dry_leather] run function k_hnc:drying_rack/noconvert
execute as @e[type=interaction,tag=drying_rack,nbt={attack:{}}] at @s if entity @e[distance=..2,sort=nearest,tag=drying] run function k_hnc:drying_rack/noconvert

## No action while converting.
execute as @e[type=interaction,tag=drying_rack,nbt={interaction:{}}] at @s if entity @e[distance=..2,sort=nearest,tag=drying] run function k_hnc:drying_rack/noconvert

## - Give player the leather
execute as @e[type=interaction,tag=drying_rack,nbt={interaction:{}}] at @s if entity @e[distance=..2,sort=nearest,tag=dry_leather] run function k_hnc:drying_rack/give_leather

## Build drying rack.
execute as @e[type=item,nbt={Item:{count:5,id:"minecraft:stick"}}] at @s if entity @e[type=item,nbt={Item:{count:3,id:"minecraft:string"}},distance=..1] run function k_hnc:drying_rack/building

## Run drying scoreboard
scoreboard players add @e[scores={k_hnc_drying=0..}] k_hnc_drying 1
execute as @e[scores={k_hnc_drying=600..}] at @s run function k_hnc:drying_rack/convert

## Run of torch
execute if score khnc-o_torch kdp_hnc_options matches 1 run function k_hnc:items/torch/runout