## reset all to calc again next tick
scoreboard players set @a k_hnc_total_h 0

## run particel and cooling effect
execute if score khnc_o_wetsys kdp_hnc_options matches 1 as @a[scores={k_hnc_wetness=1..}] at @s run function k_hnc:wetness/coolifwet

## Cold biome temp
execute as @a at @s unless predicate k_hnc:underground if biome ~ ~ ~ #k_hnc:is_cold run scoreboard players operation @s k_hnc_total_h += cold k_hnc

## Warm biome temp
execute as @a at @s unless predicate k_hnc:underground if biome ~ ~ ~ #k_hnc:is_warm run scoreboard players operation @s k_hnc_total_h += warm k_hnc
#desert
execute as @a at @s unless predicate k_hnc:underground if biome ~ ~ ~ desert if predicate k_hnc:nighttime run scoreboard players operation @s k_hnc_total_h -= warm k_hnc
execute as @a at @s unless predicate k_hnc:underground if biome ~ ~ ~ desert if predicate k_hnc:nighttime run scoreboard players operation @s k_hnc_total_h += cold k_hnc

## Season temp
execute as @a at @s unless predicate k_hnc:underground if predicate k_hnc:daytime run scoreboard players operation @s k_hnc_total_h += dailytemp_day k_hnc_seas_vari2
execute as @a at @s unless predicate k_hnc:underground if predicate k_hnc:nighttime run scoreboard players operation @s k_hnc_total_h += dailytemp_night k_hnc_seas_vari2

## nether
execute if score khnc-o_nether kdp_hnc_options matches 1 as @a at @s unless predicate k_hnc:underground if dimension the_nether run scoreboard players operation @s k_hnc_total_h += nehter k_hnc

## raining
execute as @a at @s unless predicate k_hnc:underground if predicate k_hnc:is_raining run scoreboard players operation @s k_hnc_total_h += is_raining k_hnc

## havey storm -
execute as @a[predicate=k_hnc:underground] unless biome ~ ~ ~ #k_hnc:is_warm if score heavystorm_on k_hnc_seas_vari2 matches 1 run scoreboard players remove @s k_hnc_total_h 4
execute as @a[predicate=k_hnc:underground] if biome ~ ~ ~ #k_hnc:is_warm if score heavystorm_on k_hnc_seas_vari2 matches 1 run scoreboard players remove @s k_hnc_total_h 2

## inside (unless inside = if inside)
execute as @a[scores={k_hnc=1..,k_hnc_total_h=0..}] at @s unless predicate k_hnc:underground unless function k_hnc:inside run scoreboard players operation @s k_hnc_total_h -= inside k_hnc
execute as @a[scores={k_hnc=..-1,k_hnc_total_h=0..}] at @s unless predicate k_hnc:underground unless function k_hnc:inside run scoreboard players operation @s k_hnc_total_h += inside k_hnc

##[first day are eaiser]
execute as @a if score daytest1 k_hnc_seas_vari matches 0..2 run scoreboard players operation @s k_hnc_total_h /= esdays k_hnc_total_h

## Max Temps
function k_hnc:tempsystem/temp2

## HeatBlocks
execute as @a run function k_hnc:tempsystem/heatblocks

## Cap the Max Temp
execute as @a[scores={k_hnc_max_p=2500..}] run scoreboard players set @s k_hnc_max_p 2500
execute as @a[scores={k_hnc_max_p=..-2500}] run scoreboard players set @s k_hnc_max_p -2500

execute as @a[scores={k_hnc_max_m=..-2500}] run scoreboard players set @s k_hnc_max_m -2500
execute as @a[scores={k_hnc_max_m=-199..}] run scoreboard players set @s k_hnc_max_m -200

## torches
execute as @a if items entity @s weapon.* torch run scoreboard players add @s k_hnc_total_h 1

## don't let the current temp pass the max temp
#execute as @a[scores={k_hnc_total_h=0..}] if score @s k_hnc > @s k_hnc_max_p run scoreboard players set @s k_hnc_total_h -2
#execute as @a[scores={k_hnc_total_h=..0}] if score @s k_hnc < @s k_hnc_max_m run scoreboard players set @s k_hnc_total_h 2

## not let the Temp stuck
execute as @a[scores={k_hnc_total_h=0},predicate=!k_hnc:underground] if biome ~ ~ ~ #k_hnc:is_cold run scoreboard players remove @s k_hnc_total_h 2
execute as @a[scores={k_hnc_total_h=0},predicate=!k_hnc:underground] if biome ~ ~ ~ #k_hnc:is_warm run scoreboard players add @s k_hnc_total_h 2

execute as @a[scores={k_hnc_total_h=0},predicate=k_hnc:underground] if biome ~ ~ ~ #k_hnc:is_cold run scoreboard players add @s k_hnc_total_h 2
execute as @a[scores={k_hnc_total_h=0},predicate=k_hnc:underground] if biome ~ ~ ~ #k_hnc:is_warm run scoreboard players remove @s k_hnc_total_h 2

##[END] add total_h to k_hnc
execute as @a run scoreboard players operation @s k_hnc += @s k_hnc_total_h

